;   Procedure:  FULL.PRO
;     Purpose:  Produces a complete data table with all values. 
;               Accessed only when selection #1 is chosen in
;               'truewind.pro'.


PRO full, num, crse, cspd, wdir, zlr, hd, adir, wspd, tdir, tspd

  PRINT, $
  '------------------------------------------------------------------------------------'
  PRINT, ' '
  PRINT, '                                     FULL TEST'
  PRINT, '                                    ***********'
  PRINT, '   index  course  sspeed  windir  zeroln  shiphd | appspd |  appdir  trudir  truspd'

  for i=0,num-1 do begin
    PRINT, FORMAT="(I8, 5f8.1, ' | ', f6.1, ' |', 3f8.1)", i+1, $
        crse(i), cspd(i), wdir(i), zlr, hd(i), wspd(i), adir(i), $
	tdir(i), tspd(i)
  endfor

  PRINT, ' '
  PRINT, '                NOTE:  Wind speed measured by anemometer is identical'
  PRINT, '                       to apparent wind speed (appspd).'
END
